function Fhh(){}
function uhh(a){this.a=a}
function xhh(a){this.a=a}
function Hhh(a){this.a=a}
function _pf(a,b){a.a=b;return a}
function aqf(a){a.e=100;return a}
function bqf(){this.c=new aXd;ND();this.d=mAj}
function cgf(){this.b=JA($doc);this.a=JA($doc)}
function Fmd(a){a.a.pe(0,2);Bmd(a.a.c,0,2)[RCj]=Pak}
function Dmd(a,b,d){var e;a.a.pe(b,1);e=Bmd(a.a.c,b,1);Nz(e,K3j,d.a)}
function wph(a){var b;if(!a.d){b=new Fhh;a.d=b}return a.d}
function Yu(a,b,d,e){var g;cv(a,b,d);g=Pu(a,b,d,e==null);e!=null&&Kz(g,e)}
function shh(a,b,d,e){wGd.call(this,a,b,d);this.a=e;this.b=new M0i(y2b)}
function dgf(a,b){if(a==0||b==0)return 0;return t3c(e3c(Math.round(b/a*100)))}
function $pf(a){var b,d,e,g,i,j;j=0;i=false;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];if(b.c){i=true;break}++j}return i?j:-1}
function whh(a,b){var d,e;d=Onj(b);if(X7i(d,XGj).b.b!=(pmj(),omj)){e=C0i(a.a.b,X7i(d,XGj));Ehh(a.a.A,e)}else{Ehh(a.a.A,null)}}
function rhh(a){var b,d;b=Zef();g8i(L7i(b),dIj,sEj);d=new u8i;f8i(X7i(d,OGj),'engine-statistics');k8i(X7i(d,QGj),b);Unj(new lnj(d),new xhh(a))}
function vph(a){var b;if(!a.c){b=new shh(GFd(zce(a.a)),wph(a),uph(a),(woj(fee(a.a)),y1i(dee(a.a)),AMg(tde(a.a))));SFd((Ace(a.a),b),PGd(Ace(a.a)));a.c=b}return a.c}
function Ehh(a,b){var d;d=new Vef(sM(z0c,Hxj,-1,[f3c(b.tI().a),b.uI().a,b.vI().a,b.pI().a,b.rI().a,b.nI().a,b.oI().a,b.qI().a,f3c(b.mI().a),f3c(b.wI().a),f3c(b.sI().a)]));Ypf(a.b,d)}
function bgf(a,b,d){var e,g,i;g=Knd(a.c,a.a);i=dgf(b,d);if(i>0){Hz(g,tBj,Pik+i+rBj);Hz(g,Qik,Pik+i+rBj)}else{Hz(g,tBj,Rik);Hz(g,Qik,Rik)}e=new M4c;L4c(K4c((MQd(e.a,"<span style='padding-right:5px;'>"),e),i+rBj),E0j);Kz(g,(new O4c(e.a.a.a)).a)}
function Ypf(a,b){var d,e,g,i,j,k,n,o,p;p=1;g=$pf(a);if(g>b.a.b)throw new wo(Sik+g+Tik+b.a.b);e=YOd(g>=0?(new VOd(MNd(gg(b.a,g)))).a:azj);for(j=a.a,k=0,n=j.length;k<n;++k){i=j[k];o=p-1;d=gg(b.a,o);if(null==d)throw new wo(Uik+o+Vik);$u(a.b,p,1,d);if(!!i.a&&g3c(e.a,syj)){bgf(gg(a.c,o),t3c(e.a),(new rOd(KNd(d))).a)}else if(!!i.a&&i3c(e.a,syj)){throw new wo(Wik)}++p}}
function Zpf(a){var b,d,e,g,i,j,k,n,o,p;i=new Swd;Iz((cgd(),i.gb),j0j);Pwd(i,new Dnd("<div class='metric-table-title'>"+a.d+N3j));a.b=new ev;Hz(yr(a.b),RCj,a.e+rBj);Yu(a.b,0,0,'Metric');Yu(a.b,0,1,'Actual');Yu(a.b,0,2,TCj);Dmd(a.b.d,0,(eod(),dod));j=1;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];Yu(a.b,j,0,"<div class='metric-table-label'>"+b.d+':<\/div>');Yu(a.b,j,1,mAj);TWd(a.c,new cgf);if(b.a){k=gg(a.c,j-1);_u(a.b,j,2,(n=new M4c,L4c(n,"<div id='"+k.b+"'><div id='"+k.a+"'/><\/div>"),k.c=new Lnd(new O4c(n.a.a.a)),o=Knd(k.c,k.b),wz(o,'stacked-bar-total'),Hz(o,tBj,_gk),Hz(o,Qik,'width:100%!important'),p=Knd(k.c,k.a),wz(p,'stacked-bar-actual'),wA(p,mAj),k.c));bgf(k,0,0)}else $u(a.b,j,2,mAj);Dmd(a.b.d,j,dod);b.c&&Wnd(a.b.f,j,'metric-table-baseline');++j}Emd(a.b.d,0,0,Xik);Emd(a.b.d,0,1,Xik);Emd(a.b.d,0,2,Xik);Fmd(a.b.d);Pwd(i,a.b);return i}
var Zik='Teiid Metrics',Rik='background:none',Qik='cssText',Xik='metric-table-header';E3c(2518,1,{},cgf);E3c(2689,1,{},bqf);_.a=null;_.e=100;E3c(4592,1013,Qyj,shh);_.Ui=function(){this.A.a=this;jI(this.v,(evf(),dvf),this)};_.Wk=function(){vq((oq(),nq),new uhh(this))};_.Zi=function(){this.B&&rhh(this)};_.bj=function(){Hvf(this.a,this)};E3c(4593,1,{},uhh);_.wd=function(){rhh(this.a)};E3c(4594,1299,{},xhh);_.td=function(a){HYd('Failed to retrieve query engine statistics for Teiid',a._b())};_.fh=function(a){whh(this,a)};E3c(4597,1416,Oyj,Fhh);_.Ch=function(){var a,b,d,e,g,i,j,k,n,o,p,q,r,s;r=new tjj;njj(r,new jjj((BYd(),xik),new Hhh(this)));p=new _ff(aRj,'Session Count');o=new _ff(cRj,'Memory in Use(KB)');n=new _ff(eRj,'Memory Used By Active Plans(KB)');g=new _ff(gRj,'Buffer Disk Reads');i=new _ff(iRj,'Buffer Disk Writes');b=new _ff(kRj,'Buffer Cache Reads');d=new _ff(mRj,'Buffer Cache Writes');q=new _ff(oRj,'Disk Space In Use(MB)');a=new _ff(qRj,'Active Plan Count');s=new _ff(sRj,'Waiting Plan Count');k=new _ff(uRj,'Maximum Plans Waiting Water Mark');e=sM(R1c,Ixj,195,[p,o,n,g,i,b,d,q,a,s,k]);this.b=aqf(_pf(new bqf,e),ND());j=ECe(HCe(MCe(ICe(LCe(new NCe,Yik),Zik),r),'Metrics for teiid subsystem'),Zik,Zpf(this.b));return FCe(j)};E3c(4598,1,byj,Hhh);_.me=function(a){rhh(this.a.a)};E3c(4754,1,vzj);_.ud=function(){oHd(this.b,vph(this.a.a))};var Q3b=iOd(4592),M3b=iOd(4593),N3b=iOd(4594),S3b=iOd(4597),R3b=iOd(4598),Qub=iOd(2689),Erb=iOd(2518);hAj(np)(76);